For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate a pronunciation dictionary from a file
      • POSTCreate a pronunciation dictionary from rules
      • GETGet pronunciation dictionary
      • PATCHUpdate Pronunciation Dictionary
      • GETGet pronunciation dictionary by version
      • GETList pronunciation dictionaries
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIPronunciation Dictionaries

List pronunciation dictionaries

GET
/v1/pronunciation-dictionaries
GET
/v1/pronunciation-dictionaries
$curl https://api.elevenlabs.io/v1/pronunciation-dictionaries
1{
2 "pronunciation_dictionaries": [
3 {
4 "id": "5xM3yVvZQKV0EfqQpLrJ",
5 "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
6 "latest_version_rules_num": 2,
7 "name": "My Dictionary",
8 "permission_on_resource": "admin",
9 "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
10 "creation_time_unix": 1714156800,
11 "description": "This is a test dictionary"
12 }
13 ],
14 "has_more": false,
15 "next_cursor": "5xM3yVvZQKV0EfqQpLr2"
16}
Get a list of the pronunciation dictionaries you have access to and their metadata
Was this page helpful?
Previous

Set pronunciation dictionary rules

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many pronunciation dictionaries to return at maximum. Can not exceed 100, defaults to 30.
sortenum or nullOptionalDefaults to creation_time_unix

Which field to sort by, one of ‘created_at_unix’ or ‘name’.

Allowed values:
sort_directionstring or nullOptionalDefaults to DESCENDING
Which direction to sort the voices in. 'ascending' or 'descending'.

Response

Successful Response
pronunciation_dictionarieslist of objects
A list of pronunciation dictionaries and their metadata.
has_moreboolean
Whether there are more pronunciation dictionaries to fetch.
next_cursorstring or null
The next cursor to use for pagination.

Errors

422
Unprocessable Entity Error